<?php
/**
* URLマッパーを定義するインタフェース
*
* PHP version 5
*
* @package    interfaces
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/
interface IURLMapper extends IObject
{

	/**
	 * URLマッパーを初期化する
	 */
	public function init( Config $config );

	/**
	 * URLをマッピングする
	 */
	public function mapURL( IRequest $request );
}

return __FILE__;